import Vue from 'vue'
import axios from 'axios'
import qs from 'qs'
import Login from './views/login/Login.vue'

let ajax = axios.create({
  timeout: 30000,
  headers: {
    'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
  },
  transformRequest: [
    function(data) {
      return qs.stringify(data)
    }
  ],
  paramsSerializer: function(data) {
    return qs.stringify(data)
  }
})

Vue.config.productionTip = false
Vue.prototype.$http = ajax

new Vue({
  render: h => h(Login)
}).$mount('#app')
